### A free/open-source library for quantitative finance

Classes | Functions
ql/models/marketmodels/historicalforwardratesanalysis.hpp File Reference

Statistical analysis of historical forward rates. More...

`#include <ql/math/matrix.hpp>`
`#include <ql/time/calendar.hpp>`
`#include <ql/indexes/iborindex.hpp>`
`#include <ql/indexes/swapindex.hpp>`
`#include <ql/termstructures/yield/piecewiseyieldcurve.hpp>`
`#include <ql/termstructures/yield/ratehelpers.hpp>`
`#include <ql/quotes/simplequote.hpp>`
`#include <ql/math/statistics/sequencestatistics.hpp>`
`#include <ql/time/date.hpp>`
Include dependency graph for historicalforwardratesanalysis.hpp:

## Classes

class | HistoricalForwardRatesAnalysisImpl< Traits, Interpolator >
| Historical correlation class More...

## Functions

template<class Traits , class Interpolator >

void

historicalForwardRatesAnalysis (SequenceStatistics &statistics, std::vector< Date > &skippedDates, std::vector< std::string > &skippedDatesErrorMessage, std::vector< Date > &failedDates, std::vector< std::string > &failedDatesErrorMessage, std::vector< Period > &fixingPeriods, const Date &startDate, const Date &endDate, const Period &step, const boost::shared_ptr< InterestRateIndex > &fwdIndex, const Period &initialGap, const Period &horizon, const std::vector< boost::shared_ptr< IborIndex > > &iborIndexes, const std::vector< boost::shared_ptr< SwapIndex > > &swapIndexes, const DayCounter &yieldCurveDayCounter, Real yieldCurveAccuracy=1.0e-12, const Interpolator &i=Interpolator())

## Detailed Description

Statistical analysis of historical forward rates.